> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink a Social Network

> Unlink a social network such as TikTok from a user profile. Returns 200 even if not linked. Without a Profile-Key, the Primary Profile is unlinked.

Unlink a social network for a given user profile. For example, if a user profile is linked to TikTok, unlink TikTok by making this endpoint request. A successful 200 response will be returned even if the platform is not linked. If the `Profile-Key` is not provided the Primary Profile's social account will be unlinked.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string` *required*

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Body Parameters

**platform** `string` *required*

Allow platforms to unlink: `bluesky`, `facebook`, `gmb`, `instagram`, `linkedin`, `reddit`, `telegram`, `threads`, `tiktok`, `twitter`, `youtube`.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-H 'Profile-Key: PROFILE_KEY' \
-d '{"platform": "twitter"}' \
-X DELETE https://api.ayrshare.com/api/profiles/social
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/profiles/social", {
      method: "DELETE",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer ${API_KEY}`,
        "Profile-Key": PROFILE_KEY
      },
      body: JSON.stringify({ platform: "twitter" }),
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {'platform': 'twitter' }
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY',
        'Profile-Key': PROFILE_KEY }

r = requests.delete('https://api.ayrshare.com/api/profiles/social',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$url = 'https://api.ayrshare.com/api/profiles/social';
$apiKey = 'API_KEY';        // Replace with your actual API key
$profileKey = 'PROFILE_KEY'; // Replace with your actual Profile key
$data = ['platform' => 'twitter']; // Data to be sent

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_POSTFIELDS => json_encode($data),
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: Bearer ' . $apiKey,
        'Profile-Key: ' . $profileKey
    ],
]);

$response = curl_exec($curl);

if (curl_errno($curl)) {
    echo 'Error:' . curl_error($curl);
} else {
    echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}

curl_close($curl);

```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace UnlinkSocialPOSTRequest_csharp
{
class UnlinkSocial
{
    static async Task Main(string[] args)
    {
        string API_KEY = "API_KEY";
        string PROFILE_KEY = "PROFILE_KEY"; // Make sure this is defined
        string url = "https://api.ayrshare.com/api/profiles/social";
        string json = "{\"platform\": \"twitter\"}";

        using (var client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
            client.DefaultRequestHeaders.Add("Profile-Key", PROFILE_KEY);

            try
            {
                var content = new StringContent(json, Encoding.UTF8, "application/json");
                var request = new HttpRequestMessage
                {
                    Method = HttpMethod.Delete,
                    RequestUri = new Uri(url),
                    Content = content
                };

                HttpResponseMessage response = await client.SendAsync(request);
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                Console.WriteLine(responseBody);
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
}
```

```json 200: OK Successful unlink theme={"system"}
{
    "status": "success",
    "platform": "twitter",
    "refId": "13a9wa9e0df1183b7a6a1fc2c61b8023fa9a32a1"
}
```

```json 400: Bad Request Error response theme={"system"}
{
  "action": "post",
  "status": "error",
  "code": 163,
  "message": "Missing, empty, or not valid platforms parameter. Please verify sending an array of valid platforms. .../ayrshare.com/rest-api/endpoints/post"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.